/* You can add global styles to this file, and also import other style files */
$gutter: 1rem; //for primeflex grid system

/* Layout */
@import "assets/layout/styles/layout/layout.scss";

/* PrimeNG */
@import "../node_modules/primeng/resources/primeng.min.css";
@import "../node_modules/primeflex/primeflex.scss";
@import "../node_modules/primeicons/primeicons.css";

/* Quill Text Editor for p-editor */
@import "../node_modules/quill/dist/quill.core.css";
@import "../node_modules/quill/dist/quill.snow.css";

/* Demos */
@import "assets/demo/styles/flags/flags.css";
@import "assets/demo/styles/badges.scss";
@import "assets/demo/styles/code.scss";

@import url('https://fonts.googleapis.com/css2?family=Sarabun:wght@100;200;300;400;500;600;700;800&display=swap');
//import online font awwesome
@import "https://use.fontawesome.com/releases/v6.4.0/css/all.css";

@tailwind base;
@tailwind components;
@tailwind utilities;
@import "tailwindcss/base" layer(tailwindcss);
@import "tailwindcss/components" layer(tailwindcss);
@import "tailwindcss/utilities" layer(tailwindcss);
@import "primeng/resources/themes/lara-light-blue/theme.css";
@import "primeng/resources/primeng.css";


// @layer tailwind-base, primeng, tailwind-utilities;
// @import "primeng/resources/themes/lara-light-blue/theme.css";
// @import "primeng/resources/primeng.css";

// @layer tailwind-base {
//   @tailwind base;
// }
// @layer tailwind-utilities {
//   @tailwind components;
//   @tailwind utilities;
// }

body{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
// ovveride input type text 
// input[type=text] {

//     border: 1px !important;
//     border-color: grey !important;
//     width: 100%;
//     padding: 2px 2px;
//     margin: 8px 0;
//     box-sizing: border-box;
    
// }

// input[type=text]:hover{
//     border: 1px !important;
//     border-color: red !important;
// }
// input[type=text]:focus{
//     border: 1px !important;
//     border-color: blue !important;
// }
// ovverride  autocomplet style 
span.p-autocomplete input {   
    padding: 7px !important;
    background-color: transparent !important;
    border-start-start-radius: 5px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 0px;
}
.hide-helper-text .ui-helper-text {
    display: none;
}


// .p-inputnumber-input{
//     width: max-content !important;
// }
.p-inputnumber-input-my .p-inputnumber-input {
    width: 50px !important;
}
.calendar-custom-width{
    width: 150px !important;
}

// .drawButtonClass {
//     background-color: #4CAF50 !important;
//     border: none;
//     color: white;
//     padding: 15px 32px;
//     text-align: center;
//     text-decoration: none;
//     display: inline-block;
//     font-size: 16px;
//     margin: 4px 2px;
//     cursor: pointer;
//     border-radius: 12px;
//   }

.canvas_whiteboard_buttons{
    position: relative !important;
}

.canvas-whiteboard-shape-preview-canvas{
    display: none !important;
}

//ทำไอคอนผู้ป่วย  svg  เพศชาย หญิง  https://fonts.google.com/icons?selected=Material+Symbols+Outlined:man:FILL@0;wght@400;GRAD@0;opsz@24&icon.query=male&icon.size=24&icon.color=%230000F5

.icon {
    width: 50px; /* Adjust the size as needed */
    height: 50px; /* Adjust the size as needed */
    background-size: cover;
    display: inline-block;
}

.man-icon {
    background-image: url('/assets/images/man_24dp_FILL0_wght400_GRAD0_opsz24.svg');
}

.woman-icon {
    background-image: url('/assets/images/woman_24dp_FILL0_wght400_GRAD0_opsz24.svg');

}
